Loading...
Searching...
No Matches
caf::stream_finalize_trait< Fun, State, AcceptsTwoArgs > Struct Template Reference

Dispatches a finalize call to a function taking either one or two arguments. More...

## Detailed Description

template<class Fun, class State, bool AcceptsTwoArgs = detail::is_callable_with<Fun, State&, const error&>::value>
struct caf::stream_finalize_trait< Fun, State, AcceptsTwoArgs >

Dispatches a finalize call to a function taking either one or two arguments.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/stream_finalize_trait.hpp